[package]
name = "iam-api"
version.workspace = true
edition.workspace = true
description = "gRPC API for IAM"
license.workspace = true

[dependencies]
apigateway-api = { path = "../../../apigateway/crates/apigateway-api" }
iam-types = { path = "../iam-types" }
iam-store = { path = "../iam-store" }
iam-authn = { path = "../iam-authn" }
iam-authz = { path = "../iam-authz" }
iam-audit = { path = "../iam-audit" }
serde = { workspace = true }
serde_json = { workspace = true }
thiserror = { workspace = true }
tokio = { workspace = true }
tracing = { workspace = true }
async-trait = { workspace = true }
tonic = { workspace = true }
prost = { workspace = true }
base64 = { workspace = true }
sha2 = { workspace = true }
uuid = { workspace = true }
aes-gcm = "0.10"
argon2 = "0.5"
rand_core = "0.6"

[dev-dependencies]
tokio = { workspace = true, features = ["full", "test-util"] }

[build-dependencies]
tonic-build = { workspace = true }
protoc-bin-vendored = "3"
